/************************************************************************

	File : ctest
	Ver. : 000
	
	demo of Tiki 100 8/16 sound
	
	Author		: Jarle Strand
	Created		: Friday 11-Aug-1989 15:8:58
	Last update	: Friday 11-Aug-1989 15:8:58

 ************************************************************************/



#include	<stdio.h>
#include	<conio.h>
#include	"tikilyd.h"



int	MeloC1, MeloC2, MeloC3;



int	melodi[144] = {
		Tc1 ,Td1 ,Te1 ,Te1 ,Tg1 ,Tg1 ,Tf1 ,Tf1 ,
		Td1 ,Td1 ,Te1 ,Te1 ,Te1 ,Te1 ,Tp  ,Tp  ,
		Tp  ,Tp  ,Tc2 ,Tc2 ,Tc2 ,Th1 ,Ta1 ,Ta1 ,
		Tf1 ,Tf1 ,Tg1 ,Tg1 ,Tg1 ,Tg1 ,Tp  ,Tp  ,
		Tp  ,Tp  ,Tg1 ,Tg1 ,Tg1 ,Tf1 ,Td1 ,Td1 ,
		Th0 ,Th0 ,Tc1 ,Tc1 ,Tc1 ,Tc1 ,Tp  ,Tp  ,
		Tc1 ,Td1 ,Te1 ,Te1 ,Tg1 ,Tg1 ,Tf1 ,Tf1 ,
		Td1 ,Td1 ,Te1 ,Te1 ,Te1 ,Te1 ,Tp  ,Tp  ,
		Tc2 ,Tc2 ,Tc2 ,Ta1C,Ta1 ,Ta1 ,Tp  ,Tp  ,
		Td2 ,Td2 ,Td2 ,Tc2 ,Th1 ,Th1 ,Tp  ,Tp  ,
		Te2 ,Te2 ,Te2 ,Td2 ,Tc2C,Tc2C,Tp  ,Tp  ,
		Tf2 ,Tf2 ,Tf2 ,Td2C,Td2 ,Td2 ,Tp  ,Tp  ,
		Tg2 ,Tg2 ,Tg2 ,Tg2 ,Tg2 ,Tg2 ,Tp  ,Tp  ,
		Tp  ,Tp  ,Tg2 ,Tg2 ,Tg2 ,Tf2 ,Td2 ,Td2 ,
		Th1 ,Th1 ,Tc2 ,Tc2 ,Tc2 ,Tc2 ,Tp  ,Tp  ,
		Tc2 ,Tc2 ,Ta1C,Ta1C,Ta1 ,Ta1 ,Tf1 ,Tf1 ,
		Tg1 ,Tg1 ,Tf1 ,Tf1 ,Td1 ,Td1 ,Th0 ,Th0 ,
		Tc1 ,Tc1 ,Tc1 ,Tc1 ,Tc1 ,Tc1 ,Tp  ,Tp 
	};

int	melodi2[144] = {
		Tc0  ,Tc0  ,Tg0  ,Tg0  ,Tc0  ,Tc0  ,Tg0  ,Tg0  ,
		Tc0  ,Tc0  ,Tg0  ,Tg0  ,Tc0  ,Tc0  ,Tg0  ,Tg0  ,
		Tp   ,Tp   ,Tf0  ,Tf0  ,Tc0  ,Tc0  ,Tf0  ,Tf0  ,
		Tc0  ,Tc0  ,Tg0  ,Tg0  ,Te0  ,Te0  ,Tg0  ,Tg0  ,
		Te0  ,Te0  ,Tg0  ,Tg0  ,Te0  ,Te0  ,Tg0  ,Tg0  ,
		Te0  ,Te0  ,Tg0  ,Tg0  ,Tc0  ,Tc0  ,Tg0  ,Tg0  ,
		Tc0  ,Tc0  ,Tg0  ,Tg0  ,Tc0  ,Tc0  ,Tg0  ,Tg0  ,
		Tc0  ,Tc0  ,Tg0  ,Tg0  ,Tc0  ,Tc0  ,Tg0  ,Tg0  ,
		Tc0  ,Tc0  ,Tc0  ,Tc0  ,Tc0  ,Tc0  ,Tc0  ,Tc0  ,
		Td0  ,Td0  ,Td0  ,Td0  ,Td0  ,Td0  ,Td0  ,Td0  ,
		Te0  ,Te0  ,Te0  ,Te0  ,Te0  ,Te0  ,Te0  ,Te0  ,
		Tf0  ,Tf0  ,Tf0  ,Tf0  ,Tf0  ,Tf0  ,Tf0  ,Tf0  ,
		Tg0  ,Tg0  ,Tg0  ,Tg0  ,Tg0  ,Tg0  ,Tp   ,Tp   ,
		Tc0  ,Tc0  ,Tg0  ,Tg0  ,Tc0  ,Tc0  ,Tg0  ,Tg0  ,
		Tc0  ,Tc0  ,Te0  ,Te0  ,Te0  ,Te0  ,Tp   ,Tp   ,
		Tf0  ,Tf0  ,Ta0  ,Ta0  ,Tf0  ,Tf0  ,Ta0  ,Ta0  ,
		Tg0  ,Tg0  ,Th0  ,Th0  ,Tg0  ,Tg0  ,Th0  ,Th0  ,
		Tc0  ,Tc0  ,Tc0  ,Tc0  ,Tc0  ,Tc0  ,Tp   ,Tp  
	};



void	InitMelo(int i)
{
  MeloC1 = 0;
  MeloC2 = 0;
  MeloC3 = i;
}


void Melo()
{
	int	i,j,k;

	if(MeloC2==0){
		if(MeloC1 % 4 == 0){
			sound(CHANNEL_C,1000,FROM_ENVELOPE);
			sound(NOISE,200,CHANNEL_C);
			sound(ENVELOPE,1000,6);
		}
		else{
			sound(CHANNEL_C,500,FROM_ENVELOPE);
			sound(NOISE,2000,CHANNEL_C);
			sound(ENVELOPE,200,6);
		};
		sound(CHANNEL_A,Tscale[melodi[MeloC1]],15);
		sound(CHANNEL_B,Tscale[melodi2[MeloC1]],12);
		MeloC1	= (MeloC1+1) % 144;
		MeloC2	= (MeloC2 + 1) % MeloC3;
	}
	else{
		MeloC2  = (MeloC2+1) % MeloC3;
		k = j*j;
	};
}



void NoMelo()
{
	sound(NOSOUND,0,0);
}






main()
{
	printf("\nTiki 100 8/16 sound demo. Microsoft C version.\n");
	printf("Music from 'Mons og Marte'\n");
	printf("Press any key to stop.\n");

	InitMelo(50);

	while( !kbhit() ) Melo();
	getch();

	NoMelo();

	printf("\n\n");
}
