/************************************************************************

	File : tikilyd
	Ver. : 000
	
	header file for Tiki 100 8/16 sound system
	
	Author		: Jarle Strand
	Created		: Thursday 10-Aug-1989 21:21:4
	Last update	: Thursday 10-Aug-1989 21:21:4

 ************************************************************************/



#define	NOSOUND		0
#define	CHANNEL_A	1
#define	CHANNEL_B	2
#define	NOISE		3
#define	CHANNEL_C	4
#define	ENVELOPE	5
#define	FROM_ENVELOPE	16



int	Tscale[38] = {
		956,902,852,804,759,716,676,638,602,568,537,506,
		478,451,426,402,379,358,338,319,301,284,268,253,
		239,226,213,201,190,179,169,160,151,142,134,127,120,0
	};



enum	Tones{
	Tc0, Tc0C, Td0, Td0C, Te0, Tf0, Tf0C, Tg0, Tg0C, Ta0, Ta0C, Th0,
	Tc1, Tc1C, Td1, Td1C, Te1, Tf1, Tf1C, Tg1, Tg1C, Ta1, Ta1C, Th1,
	Tc2, Tc2C, Td2, Td2C, Te2, Tf2, Tf2C, Tg2, Tg2C, Ta2, Ta2C, Th2,
	Tc3, Tp
};




void	sound( int channel, int period, int amplitude );

