(**********************************************************

  - Testprogram for mousedriver to Tiki100 Rev. C
  - To be compiled with Turbo Pascal 3

 **********************************************************)


(*$I tp_gbib.inc *)
(*$I mus.inc *)

VAR
  x,y: Integer;
  color:Integer;

BEGIN
  init_graphics;
  M_init(MED);

  M_setarea(17,10,491,251);

  color := 1;
  x:= 255;
  y:= 128;

  rectangle(16,0,480,256,HOLLOW);
  line(16,9,495,9);

  set_pencolor(color);
  rectangle(17,1,478,8,SOLID);

  set_pencolor(3);
  set_penmode(REVERSE);
  M_setpos(x,y);
  rectangle(x,y,4,4,SOLID);

  REPEAT
    rectangle(x,y,4,4,SOLID);

    M_getpos(x,y);

    IF M_switch1 THEN BEGIN (* Draw *)
      set_penmode(REPLACE);
      set_pencolor(color);
      rectangle(x,y,4,4,SOLID);
      set_pencolor(3);
      set_penmode(REVERSE);
    END
    ELSE IF M_switch2 THEN BEGIN (* Change color *)
      color := color + 1;
      IF color=4 THEN color := 0;
      set_penmode(REPLACE);
      set_pencolor(color);
      rectangle(17,1,478,8,SOLID);
      set_pencolor(3);
      set_penmode(REVERSE);
    END
    ELSE IF M_switch3 THEN BEGIN (* Clear screen *)
      set_pencolor(0);
      set_penmode(REPLACE);
      rectangle(17,10,478,245,SOLID);
      set_penmode(REVERSE);
      set_pencolor(3);
    END;

    rectangle(x,y,4,4,SOLID);
    WHILE NOT (M_event OR Keypressed) DO ;

  UNTIL Keypressed;

  init_graphics;
  Write(#$F);
END.