(**********************************************************
 *                                                        *
 *                 Tikilyd                                *
 *                                                        *
 *  - lydmodul for Tiki 100 8/16 under MSDOS              *
 *                                                        *
 *                                                        *
 *  Forfatter: Jarle Strand                               *
 *  Laget: 10/8-1989                                      *
 *  Siste endring: 10/8-1989                              *
 *                                                        *
 *  Copyright: Jarle Strand                               *
 *                                                        *
 **********************************************************)



unit tikilyd;





interface



CONST
  NOSOUND       = 0;
  CHANNEL_A     = 1;
  CHANNEL_B     = 2;
  NOISE         = 3;
  CHANNEL_C     = 4;
  ENVELOPE      = 5;
  FROM_ENVELOPE = 16;

  Tscale: Array[0..37] OF Integer = (
    956,902,852,804,759,716,676,638,602,568,537,506,
    478,451,426,402,379,358,338,319,301,284,268,253,
    239,226,213,201,190,179,169,160,151,142,134,127,120,0 );

  Tc0 =  0; Tc0C=  1; Td0 =  2; Td0C=  3; Te0 =  4; Tf0 =  5;
  Tf0C=  6; Tg0 =  7; Tg0C=  8; Ta0 =  9; Ta0C= 10; Th0 = 11;
  Tc1 = 12; Tc1C= 13; Td1 = 14; Td1C= 15; Te1 = 16; Tf1 = 17;
  Tf1C= 18; Tg1 = 19; Tg1C= 20; Ta1 = 21; Ta1C= 22; Th1 = 23;
  Tc2 = 24; Tc2C= 25; Td2 = 26; Td2C= 27; Te2 = 28; Tf2 = 29;
  Tf2C= 30; Tg2 = 31; Tg2C= 32; Ta2 = 33; Ta2C= 34; Th2 = 35;
  Tc3 = 36; Tp  = 37;



PROCEDURE sound( channel, period, amplitude: WORD );





implementation

{$L sound.obj }

PROCEDURE sound( channel, period, amplitude: WORD );
EXTERNAL;

BEGIN
END.


